Uploaded image for project: 'Moodle app'
  1. Moodle app
  2. MOBILE-3527

Error: Unable to graft xml at selector

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Minor
    • Resolution: Won't Do
    • Affects Version/s: 3.9.2
    • Fix Version/s: None
    • Component/s: Phonegap Build
    • Labels:
    • Affected Branches:
      MOODLE_39_STABLE

      Description

      FULL STEPS

      nvm use 11

      git clone https://github.com/moodlehq/moodleapp.git
      cd moodlemobileapp
      npm run setup
      ionic cordova platform remove android
      ionic cordova platform add android --no-resources

      EXPECTED

      Expect platform to build without errors

      ACTUALLY HAPPENS

      Error is displayed:

      Error: Unable to graft xml at selector "/manifest/application/activity[@android:name='MainActivity']

      Build with Phonegap CLI 9.00

      Building with CLI 6.5.0 is working fine but App cannot be installed and Playstore requires CLI-9.00.

       

       

       

        Attachments

          Activity

            People

            Assignee:
            jleyva Juan Leyva
            Reporter:
            mudotmy Sam Suresh
            Participants:
            Component watchers:
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: